Bug 867126 - login takes quite long
login takes quite long
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mate-session-manager (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 16:06 EDT by Marcus Moeller
Modified: 2012-11-03 18:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 08:11:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Moeller 2012-10-16 16:06:25 EDT
I have installed Fedora 18 with MATE, using the latest Netinstall image.

The login takes quite a while (not extremly long, but a lot longer than on GNOME2)

On login the following errors are logged in .xsession-errors:

mate-session[2432]: WARNING: Application 'marco.desktop' failed to register before timeout

** (abrt:2585): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (nm-applet:2587): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Comment 1 Fedora Update System 2012-10-17 00:07:00 EDT
mate-window-manager-1.4.1-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16208/mate-window-manager-1.4.1-11.fc18
Comment 2 Fedora Update System 2012-10-17 00:07:52 EDT
mate-session-manager-1.4.0-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16278/mate-session-manager-1.4.0-8.fc18
Comment 3 Dan Mashal 2012-10-30 05:02:23 EDT
This will be fixed with the next release of lightdm.
Comment 4 Christoph Wickert 2012-10-30 05:44:16 EDT
Dan, what makes you think this is related to lightdm at all? Whatever is in ~/.xsession-errors is in the user's session.
Comment 5 Dan Mashal 2012-10-30 05:45:59 EDT
My build of lightdm boots a lot faster.
Comment 6 Rex Dieter 2012-10-30 07:54:41 EDT
That's... not exactly conclusive evidence.
Comment 7 Rex Dieter 2012-10-30 08:05:57 EDT
So, by "long" how long are we talking?
Comment 8 Marcus Moeller 2012-10-30 08:10:43 EDT
This has been fixed by the mate-session-manager update which has been commited earlier. Sorry that I did not update the bug accordingly. Just gave karma on the build.
Comment 9 Fedora Update System 2012-11-03 18:42:24 EDT
mate-window-manager-1.4.1-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-window-manager-1.4.1-13.fc18

Note You need to log in before you can comment on or make changes to this bug.